AddCephPrimaryStoragePool
AddCephPrimaryStoragePool
POST
/zstack/v1/primary-storage/ceph/{primaryStorageUuid}/poolsOperation ID
AddCephPrimaryStoragePoolSince
0.6Execution Mode
SynchronousAuth Context
Auth RequiredAuth Context
Send these values as request headers when calling this API.
AuthorizationstringRequiredBearer Token
X-Tenant-IDstringX-Tenant-ID
Request Inputs
application/jsonPath Parameters
primaryStorageUuidStringRequiredThe UUID of the Ceph primary storage.
Body Fields
paramsObjectRequiredRequest body parameter object.
poolNameStringRequiredThe pool name.
aliasNameStringOptional.
descriptionStringOptional. The detailed description of the resource.
isCreatebooleanOptional. Creates an extension pool.
typeStringRequiredThe type of the Ceph primary storage pool.
resourceUuidStringOptional.
systemTagsListOptional. The system tags.
userTagsListOptional. The user tags.
